// main: ./main.less, out: ../style.css, compress: true
@import "reset.less";
@import "variables.less";
@import "styles.less";
@import "fonts.less";
//@import "./font-awesome-4.7.0/font-awesome.less";
@import "utility.less";
@import "transitions.less";
/* ====================================================================================================================================

MAIN ////////////////////////////////////////////////////////////////////////////////////////////////////////////////

======================================================================================================================================*/

.home,
.home .site,
.home .site-content,
.home .site-main {
    height: 100%;
}

.home .site-footer {
    display: none;
}

.c-home__design,
.c-home__web,
.c-home__learning {
    position: relative;
    height: 100%;
    width: 100%;
}

.c-home__title {
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    .u-transform(translateY(-50%));
    h2 {
        font-size: 2.1vw;
        line-height: 0;
        margin-left: 15vw;
        margin-bottom: -2vw;
        .txt--font__normal;
        span {
            .txt--font__medium;
        }
        @media @mq--smartphone {
            font-size: 3.1vw;
            margin-left: 6vw;
            margin-bottom: 0vw;
        }
    }
    h1 {
        font-size: 10vw;
        line-height: 0;
        width: 100%;
        text-align: center;
        @media @mq--smartphone {
            font-size: 13vw;
        }
    }
    .c-arrowRight {
        position: absolute;
        right: 14vw;
        margin-top: -20px;
        @media @mq--smartphone, @mq--tablet  {
            white-space: nowrap;
            right: 50%;
            bottom: -100px;
            .u-transform(translateX(50%));
        }
    }
}

.c-home__circle {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40vw;
    height: 40vw;
    margin-left: -20vw;
    margin-top: -20vw;
    background-image: url('./wp-content/images/img-hp__circle.svg');
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: center;
    z-index: -1;
    animation: animation__hpCircle 1.5s infinite alternate;
    -webkit-animation: animation__hpCircle 1.5s infinite alternate;
}

.c-home__arrowUp {
    position: absolute;
    height: calc(50% ~"-" 50px);
    width: 100px;
    top: 50px;
    left: 50%;
    margin-left: -50px;
    //cursor: pointer;
    span {
        position: absolute;
        width: 2px;
        height: 100%;
        top: 17px;
        left: 50%;
        margin-left: -1px;
        .u-linear-gradient(@vr__col-2,
        @vr__col-1);
        display: block;
    }
    .c-arrowUp {
        .u-transform(translateY(0));
        height: 100%;
        .trans;
    }
    img {
        position: absolute;
        width: 26px;
        top: 15px;
        left: 50%;
        margin-left: -13px;
    }
    p {
        text-align: center;
        margin: 0;
    }
    @media @mq--nophone {
        &:hover {
            .c-arrowUp {
                .u-transform(translateY(-5px));
            }
        }
    }
}

.c-home__content {
    height: 100%;
    width: 100%;
    svg {
        stroke: @vr__col-2;
        stroke-width: 2px;
    }
    .c-content__circle {
        display: flex;
        align-items: center;
        justify-content: center;
        top: 0;
        position: absolute;
        border: solid 2px @vr__col-2;
        background-color: @vr__col-1;
        width: 40px;
        height: 40px;
        margin-left: -20px;
        margin-top: -20px;
        border-radius: 50%;
        //cursor: pointer;
        img {
            .u-transform(scale(1));
            .trans;
        }
        &:after {
            position: absolute;
            display: block;
            content: attr(data-section);
            top: -40%;
            left: 50%; //background-color: @vr__col-1;
            color: @vr__col-2;
            .txt--font__medium;
            white-space: nowrap;
            padding: 4px 6px;
            .u-border-radius(4px);
            .u-transform(translateX(-50%));
            opacity: 0;
            .trans;
        }
        @media @mq--nophone {
            &:hover {
                img {
                    .u-transform(scale(.8));
                }
                &:after {
                    opacity: 1;
                    top: -80%;
                }
            }
        }
        @media @mq--smartphone, @mq--tablet {
            display: none;
        }
    }
    .c-content__line {
        @media @mq--smartphone, @mq--tablet {
            display: none;
        }
    }
}

.c-home__image {
    position: absolute;
    top: 50%;
    left: 50%;
    .u-transform(translate(-50%, -50%)scale(.7));
}

.c-home__nav {
    position: fixed;
    right: @margin__lg;
    top: @margin__lg;
    bottom: @margin__lg;
    width: 20px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    a {
        position: relative;
        writing-mode: vertical-lr;
        -ms-writing-mode: tb-lr;
        &:after,
        &:before {
            position: absolute;
            content: '';
            display: block;
            .u-border-radius(50%);
        }
        &:after {
            height: 10px;
            width: 10px;
            border: solid 1px @vr__col-2;
            top: 50%;
            right: -10px;
            margin-top: -5px;
            font-size: @size__md;
        }
        &:before {
            height: 6px;
            width: 6px;
            background-color: @vr__col-2;
            top: 50%;
            right: -8px;
            margin-top: -3px;
            .u-transform(scale(0));
            .trans;
        }
        &.isActive {
            &:before {
                .u-transform(scale(1));
            }
        }
    }
    @media @mq--smartphone, @mq--tablet {
        display: none;
    }
}

.c-home__brainup {
    text-align: center;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-bottom: @margin__lg;
    .c-homebrainup__mainText {
        margin: @margin__rg auto @margin__md*2;
        max-width: 380px;
        width: 100%;
        @media @mq--smartphone {
            margin: @margin__rg auto @margin__md;
            padding: 0 @margin__rg;
            max-width: inherit;
        }
    }
    .c-homebrainup__inner {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        width: 100%;
    }
    .c-homebrainup__row {
        display: flex;
        justify-content: center;
        margin-bottom: @margin__lg;
        @media @mq--smartphone {
            display: block;
            margin-bottom: @margin__rg;
        }
    }
    .c-homebrainup__area {
        text-align: center;
        max-width: 260px;
        margin: 0 @margin__md;
        @media @mq--smartphone {
            width: 100%;
            max-width: inherit;
            margin: 0;
            padding: 0 @margin__rg;

        }
    }
    .c-homebrainup__title {
        a {
            font-size: @size__rg;
            color: @vr__col-2;
        }
        &.web a {
            color: @vr__col-4;
        }
        &.learning a {
            color: @vr__col-3;
        }
    }
}

// --------------------
// ABOUT
// --------------------
.c-about__area {
    display: flex;
    justify-content: space-between;
    margin: @margin__xl 0;
    .c-aboutarea__item {
        width: 200px;
        p {
            min-height: 200px;
        }
        @media @mq--smartphone {
            width: 100%;
            padding-top: @margin__xl;
            p {
                min-height: inherit;
            }
        }
    }
    @media @mq--smartphone {
        display: block;
    }
}

.c-about__icon {
    position: relative;
    height: 78px;
    width: 78px;
    z-index: 0;
    margin: 0 auto @margin__md;
    &:after {
        position: absolute;
        display: block;
        content: '';
        height: calc(100% ~"-" 4px);
        width: calc(100% ~"-" 4px);
        background-color: @vr__col-1;
        top: 2px;
        left: 2px;
        right: 2px;
        bottom: 2px;
        .u-border-radius(50%);
    }
    &:before {
        position: absolute;
        display: block;
        content: '';
        height: 100%;
        width: 100%;
        background-color: @vr__col-1;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        animation: animation__rotation linear 3s infinite;
        -webkit-animation: animation__rotation linear 3s infinite;
        .u-border-radius(50%);
        .u-linear-gradient(@vr__col-2,
        @vr__col-5);
    }
    img {
        position: absolute;
        top: 50%;
        left: 50%;
        z-index: 1;
        .u-transform(translate(-50%, -50%));
    }
}

.u-explorer .c-about__moonlight {
    display: none;
}

.c-about__moonlight {
    position: relative;
    height: 600px;
    margin-bottom: @margin__xl;
}

.c-portrait {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 200;
}

.c-mask {
    -webkit-transition: transform .5s;
    -moz-transition: transform .5s;
    -ms-transition: transform .5s;
    transition: transform .5s;
}

.c-portrait__one {
    //background-image: url('http://moonlight.movie/assets/images/header/main01.jpg');
    clip-path: url(#clipping-one);
    -webkit-clip-path: url(#clipping-one);
}

.c-portrait__two {
    //background-image: url('http://moonlight.movie/assets/images/header/main02.jpg');
    clip-path: url(#clipping-two);
    -webkit-clip-path: url(#clipping-two);
}

.c-portrait__three {
    //background-image: url('http://moonlight.movie/assets/images/header/main03.jpg');
    clip-path: url(#clipping-three);
    -webkit-clip-path: url(#clipping-three);
}

.c-about__bio {
    display: flex;
    justify-content: space-between;
    .c-aboutbio__column {
        width: 100%;
        width: 48%;
        &:last-child {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
        }
        @media @mq--smartphone {
            width: 100%;
        }
    }
    .c-aboutbio__job {
        width: 50%;
        strong {
            color: @vr__col-2;
        }
        @media @mq--smartphone {
            width: 100%;
        }
    }
    @media @mq--smartphone {
        display: block;
    }
}

.c-about__experience {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    .c-aboutexperience__column {
        width: 50%;
        p {
            margin-top: 0;
        }
        @media @mq--smartphone {
            width: 100%;
        }
    }
    .c-about__client {
        width: 50%;
        strong {
            color: @vr__col-2;
        }
        @media @mq--smartphone {
            width: 100%;
        }
    }
    @media @mq--smartphone {
        display: block;
    }
}

.c-about__image {
    position: absolute;
    width: 44%;
    height: 440px;
    background-color: white;
    right: 0;
    top: 0;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    @media @mq--smartphone {
        position: relative;
        width: 100%;
        height: 300px;
        margin-top: @margin__lg;
    }
}

.site-footer {
    text-align: center;
    padding: @margin__md 0;
    background-color: @vr__col-5;
    letter-spacing: 2px;
    font-size: @size__sm;
    a:hover {
        color: @vr__col-2;
    }
}

// --------------------
// PORTFOLIO
// --------------------
.c-portfolio {
    .c-about__area {
        max-width: 560px;
        .c-about__area;
        justify-content: center;
        margin: 0 auto;
        .c-aboutarea__item {
            width: 100%;
            text-align: center;
            p {
                min-height: initial;
            }
        }
    }
}

.c-portfolio__loop {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.u-firefox .c-portfolio__item, .u-explorer .c-portfolio__item {
    height: auto;
}

.c-portfolio__item {
    position: relative;
    width: 50%;
    height: 0;
    padding-bottom: 50%;
    overflow: hidden;
    z-index: 0;
    .o-linearGradient(@vr__col-1, @vr__col-2, 0);
    &:before {
        .trans.simple;
        display: block;
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        opacity: 0;
        z-index: 1;
        border: solid 0px white;
    }
    @media @mq--nophone {
        &:hover {
            .o-linearGradient(@vr__col-1,@vr__col-2);
            &:before {
                border-width: 14px;
                opacity: 1;
            }
            .c-portfolio__title {
                opacity: 1;
                .u-transform(translate(-50%, -90%));
            }
        }
    }
    @media @mq--smartphone {
        width: 100%;
        padding-bottom: 100%;
        margin-bottom: @margin__rg;
        .o-linearGradient(@vr__col-1,@vr__col-2);
        &:before {
            border-width: 14px;
            opacity: 1;
        }
        .c-portfolio__title {
            opacity: 1;
            .u-transform(translate(-50%, -90%));
        }
    }
}

.c-portfolio__title {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 1;
    opacity: 0;
    color: white;
    white-space: nowrap;
    .u-transform(translate(-50%, -20%));
    .trans.long;
}

.c-project__header {
    position: relative;
    width: 100%;
    height: 100vh;
}

.c-project__title {
    position: absolute;
    bottom: @margin__rg;
    width: @margin__xl*2;
    display: flex;
    justify-content: space-around;
    animation: animation__opacity 2.4s 1 forwards;
    animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
    -webkit-animation: animation__opacity 2.4s 1 forwards;
    -webkit-animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
    h1 {
        position: relative;
        font-size: @size__xl;
        padding-bottom: 100px;
        margin: 0;
        width: 48px;
        text-transform: capitalize;
        writing-mode: vertical-lr;
        -ms-writing-mode: tb-lr;
        white-space: nowrap;
        &:after {
            position: absolute;
            content: '';
            display: block;
            bottom: 58px;
            left: 50%;
            width: 2px;
            height: 30px;
            background-color: @vr__col-2;
        }
    }
    .c-about__icon {
        position: absolute;
        bottom: @margin__rg/2;
        margin: 0;
        left: 50%;
        margin-left: -24px;
        height: 48px;
        width: 48px;
        img {
            max-width: 40%;
        }
    }
}

.c-project__thumb {
    position: absolute; // left: @margin__xl*2;
    right: 0; //top: @margin__lg*2;
    bottom: 0; //width: calc(100% ~"-" @margin__xl*2);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    animation: animation__heroProject 1.8s 1 forwards;
    animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
    -webkit-animation: animation__heroProject 1.8s 1 forwards;
    -webkit-animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
}

.c-project__content {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.c-portfolio__scroll {
    .u-transform(rotate(90deg)translateX(140px));
}

.c-project__text {
    display: flex;
    flex-direction: column;
}

.c-project__textL,
.c-project__textR {
    display: flex;
    margin-top: @margin__lg;
    margin-bottom: @margin__lg;
    min-width: 280px;
    width: 40%;
    @media @mq--smartphone {
        width: 100%;
        min-width: inherit;
    }
}

.c-project__textL {
    text-align: left;
    margin-right: auto;
}

.c-project__textR {
    text-align: right;
    margin-left: auto;
}

.c-project__img {
    margin: @margin__xl auto;
    &--w50 {
        width: 40%;
        height: 40%;
        @media @mq--smartphone {
            width: 100%;
        }
    }
    @media @mq--smartphone {
        margin: @margin__lg auto;
    }
}

.c-project__video {
    width: 100%;
    margin: @margin__xl auto;
    @media @mq--smartphone {
        display: none;
    }
}

.post-navigation {
    margin-bottom: 0 !important;
    .nav-links {
        width: 100%;
        height: 200px;
        display: flex;
        @media @mq--smartphone {
            height: 120px;
        }
    }
}

.c-project__nav {
    width: 50%;
    height: 100%;
    position: relative;
    z-index: 0;
    .o-linearGradient(@vr__col-1, @vr__col-2);
    &:before {
        .trans.simple;
        display: block;
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        z-index: 1;
        opacity: 0;
        border: solid 0 white;
    }
    .c-portfolio__title {
        opacity: 1;
        .u-transform(translate(-50%, -40%));

        @media @mq--smartphone {
            .txt--s__rg;
            text-align: center;
            white-space: normal;
        }
    }
    @media @mq--nophone {
        &:hover {
            &:before {
                opacity: 1;;
                border-width: 14px;
            }
            .c-portfolio__title {
                .u-transform(translate(-50%, -90%));
            }
        }
    }
}

.nav-previous,
.nav-next {
    height: 100%;
    width: 100%;
    a {
        display: block;
        height: 100%;
        .c-project__nav {
            position: relative;
            display: block;
            height: 100%;
            width: 100%;
            padding-bottom: inherit;
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center;
        }
    }
}


// --------------------
// CONTACT
// --------------------
.c-contact__title,
.c-contact__text {
    text-align: center;
    width: 100%;
}

.c-contact__icons {
    position: relative;
    margin: @margin__rg;
    &:after {
        position: absolute;
        content: attr(data-tooltip);
        display: block;
        bottom: -10px;
        left: 50%;
        background-color: white;
        padding: 4px;
        color: black;
        opacity: 0;
        visibility: hidden;
        .trans;
        .u-transform(translateX(-50%));
        .txt--font__medium;
        .u-border-radius(3px);
    }
    &:hover {
        &:after {
            opacity: 1;
            visibility: visible;
            bottom: -30px;
        }
    }
}

.c-contact__form {
    display: flex;
    .wpcf7-form>p {
        display: flex;
        flex-wrap: wrap;
        @media @mq--smartphone {
            display: block;
        }
    }
    input,
    select,
    textarea {
        //appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
        border: none;
        outline: 0;
        border-radius: 0;
        color: white;
        background-color: @vr__col-1;
        border: solid 1px white;
        padding: 0 @margin__rg;
        .trans;
        .txt--font__medium;
        &::-webkit-input-placeholder {
            /* Chrome/Opera/Safari */
            color: @vr__col-2;
        }
        &::-moz-placeholder {
            /* Firefox 19+ */
            color: @vr__col-2;
        }
        &:-ms-input-placeholder {
            /* IE 10+ */
            color: @vr__col-2;
        }
        &:-moz-placeholder {
            /* Firefox 18- */
            color: @vr__col-2;
        }
        &:focus {
            border: solid 1px @vr__col-2;
            color: @vr__col-2;
        }
    }
    .wpcf7-form-control-wrap.nome,
    .wpcf7-form-control-wrap.email,
    .wpcf7-form-control-wrap.soggetto {
        position: relative;
        display: inline-block;
        width: calc(33.33% ~"-" @margin__rg);
        @media @mq--smartphone {
            width: 100%;
        }
    }
    .wpcf7-form-control-wrap.nome {
        margin-right: 10px;
        @media @mq--smartphone {
            margin: 0;
        }
    }
    .wpcf7-form-control-wrap.email {
        margin: 0 @margin__rg;
        @media @mq--smartphone {
            margin: 0;
        }
    }
    .wpcf7-form-control-wrap.soggetto {
        margin-left: 10px;
        @media @mq--smartphone {
            margin: 0;
        }
    }
    div[role=form] {
        width: 100%;
    }
    span[role=alert] {
        position: absolute;
        top: -@margin__md;
        left: 0;
        .txt--font__medium;
        font-size: @size__rg;
        z-index: 10;
        @media @mq--smartphone {
            top: -22px;
        }
    }
    input,
    select {
        line-height: @margin__lg;
        height: @margin__lg;
        width: 100%;
        margin-bottom: @margin__rg;
    }
    .textarea {
        width: 100%;
    }
    textarea {
        padding: @margin__rg;
        resize: horizontal;
        width: 100%;
        height: 180px;
        margin-bottom: @margin__rg;
        @media @mq--smartphone {
            margin-top: @margin__rg;
        }
    }
    option {
        border-radius: 0;
    }
    .select-hidden {
        display: none;
        visibility: hidden;
        padding-right: 10px;
    }
    .select {
        //cursor: pointer;
        display: inline-block;
        position: relative;
        font-size: 16px;
        color: white;
        line-height: @margin__lg;
        height: @margin__lg;
        width: 100%;
    }
    .select-styled {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-color: @vr__col-1;
        padding: 0 @margin__rg;
        border: solid 1px white;
        .txt--font__medium;
        font-size: @size__rg;
        .trans;
        &:after {
            content: "";
            width: 0;
            height: 0;
            border: 7px solid transparent;
            border-color: @vr__col-2 transparent transparent transparent;
            position: absolute;
            top: 20px;
            right: 10px;
        }
        &:hover {
            background-color: lighten(@vr__col-1, 2);
        }
        &:active,
        &.active {
            background-color: lighten(@vr__col-1, 5);
            border-color: @vr__col-2;
            &:after {
                top: 12px;
                border-color: transparent transparent @vr__col-2 transparent;
            }
        }
    }
    .select-options {
        display: none;
        position: absolute;
        top: 100%;
        right: 0;
        left: 0;
        z-index: 999;
        margin: 0;
        padding: 0;
        list-style: none;
        background-color: @vr__col-1;
        border: solid 1px @vr__col-2;
        li {
            margin-top: -1px;
            text-indent: 15px;
            border-top: 1px solid darken(@vr__col-2, 10);
            .txt--font__medium;
            font-size: @size__rg;
            .trans;
            &:hover {
                color: white;
                background: @vr__col-2;
            }
            &[rel="hide"] {
                display: none;
            }
        }
    }
    input[type=submit] {
        width: calc(33.33% ~"-" @margin__rg);
        .trans;
        .txt--font__medium;
        font-size: @size__rg;
        &:hover {
            background-color: @vr__col-2;
            border: solid 1px @vr__col-2;
            color: white;
        }
        @media @mq--smartphone {
            width:50%;
        }
    }
    .ajax-loader {
        background-image: url('./wp-content/images/loader_mail.gif') !important;
        background-size: 100%;
        margin: 0 0 5px 15px !important;
    }
    .wpcf7-response-output {
        padding: 0 @margin__rg;
        line-height: @margin__lg;
        height: @margin__lg;
        margin:0;
        @media @mq--smartphone {
            padding: @margin__rg;
            line-height: initial;
            height: auto;
        }
    }
}

// --------------------
// VARIE
// --------------------
.c-arrowRight {
    display: flex;
    align-items: center;   
    .txt--font__medium;
    img {
        height: 26px;
        .u-transform(translateX(5px));
        .trans;
    }
    @media @mq--nophone {
        &:hover {
            img {
                .u-transform(translateX(10px));
            }
        }
    }
}

.c-arrowDown {
    position: relative;
    .txt--font__medium;
    img {
        position: absolute;
        width: 26px;
        bottom: 0;
        left: 50%;
        .u-transform(translate(-50%, 120%));
        .trans;
    }
    @media @mq--nophone {
        &:hover {
            img {
                .u-transform(translate(-50%, 130%));
            }
        }
    }
}

#cookie-notice {
    width: calc(100% ~"-" @margin__rg*2);
    min-width: inherit;
    left: @margin__rg;
    bottom: @margin__rg;
    background-color: @vr__col-3!important;
    opacity: 0;
    .u-transform(translateY(100px));
    animation: animation__cookies 1.8s 1 forwards;
    animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
    -webkit-animation: animation__cookies 1.8s 1 forwards;
    -webkit-animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
    .u-border-radius(6px);

    .cookie-notice-container {
        padding: @margin__rg;
        @media @mq--tablet, @mq--smartphone {
            padding: 8px;
        }
    }

    a {
        background-color: @vr__col-1;
        padding: @margin__rg/2;
        .u-border-radius(6px);
        .txt--font__medium;

        &:hover {
            color: @vr__col-2;
        }
        @media @mq--tablet, @mq--smartphone {
            padding: 3px 8px;
        }
    }
}

.error-404 {
    min-height:calc(100vh ~"-" 100px); 
    p {
        margin-bottom: 0;
    }
    .fake-code {
        font-family: 'Courier New';
        &--red {
            color: #ea2b2b;
        }
        &--blu {
            color: #0080ca;
            font-family: 'Courier New';
        }
        &--yellow {
            color: #ffd300;
        }
        &--div {
            padding-left: 20px;
            font-family: 'Courier New';
        }
    }
}
// --------------------
// IMPORT
// --------------------
@import "queries.less";
@import "print.less";